Package org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

# Class InteractiveUIContent

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl.InteractiveUIContent

public final class InteractiveUIContent extends Object
A User interface that holds a viewer and satellites elements.

This viewer can have a satellite configuration composite reacting on selection. It displays a configuration UI for the current selection. It's requires a configuration UI registry.

This viewer can have a satellite text field holding the description of the current selection. This field display the description for the current element.

This class allows a user to select and check elements.

It can also synchronize the state of checked element into a `DataHolder`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InteractiveUIContent.InteractiveUIBuilder<T>`
Builder for an Interactive UI.

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfigurator(String id, IConfigurationUIFactory configuratorfactory, org.eclipse.jface.preference.IPreferenceStore store)`
Adds a configuration to this Interactive content.
`void`
`checkElement(IItemDescriptor<?> descriptor)`
Checks one element in the viewer.
`<T> void`
`checkElements(Collection<IItemDescriptor<T>> descriptors)`
Checks multiple element in the viewer.
`<T> void`
`checkElements(IItemDescriptor<T>[] descriptors)`
Checks multiple element in the viewer.
`Map<String,AbstractConfigurationUI>`
`getConfigurators()`
`org.eclipse.jface.viewers.CheckboxTableViewer`
`getViewer()`
Gets the viewer.
`<T> void`
`select(IItemDescriptor<T> descriptor)`
Handles a selection in the viewer.
`<T> void`
`selectAll(Collection<IItemDescriptor<T>> descriptors)`
Handles a selection in the viewer.
`void`
`setViewer(org.eclipse.jface.viewers.CheckboxTableViewer inputViewer)`
Sets the viewer in the interactive content.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addConfigurator

public void addConfigurator(String id, IConfigurationUIFactory configuratorfactory, org.eclipse.jface.preference.IPreferenceStore store)
Adds a configuration to this Interactive content.

Parameters:
  `id` - Id of the item to configure
  `configuratorfactory` - Factory for the configuration
  `store` - Preference store that will hold this `IConfigurationUIFactory` value.

### checkElement

public void checkElement(IItemDescriptor<?> descriptor)
Checks one element in the viewer.

Parameters:
  `descriptor` - element to check.

### checkElements

public <T> void checkElements(Collection<IItemDescriptor<T>> descriptors)
Checks multiple element in the viewer. (Only use if multiple selection is allowed)

Parameters:
  `descriptors` - elements to check.

### checkElements

public <T> void checkElements(IItemDescriptor<T>[] descriptors)
Checks multiple element in the viewer. (Only use if multiple selection is allowed)

Parameters:
  `descriptors` - elements to check.

### getConfigurators

public Map<String,AbstractConfigurationUI> getConfigurators()

Returns:
  A map of all configuration.

### getViewer

public org.eclipse.jface.viewers.CheckboxTableViewer getViewer()
Gets the viewer.

Returns:
  The viewer.

### select

public <T> void select(IItemDescriptor<T> descriptor)
Handles a selection in the viewer. Update related components.

Parameters:
  `descriptor` - Item to select.

### selectAll

public <T> void selectAll(Collection<IItemDescriptor<T>> descriptors)
Handles a selection in the viewer. Update related components.

Parameters:
  `descriptor` - Item to select.

### setViewer

public void setViewer(org.eclipse.jface.viewers.CheckboxTableViewer inputViewer)
Sets the viewer in the interactive content.

Parameters:
  `inputViewer` - A `StructuredViewer` of `IItemDescriptor`